'''
Modify this file, by platform, to handle nonstandard options for third-party 
dependencies. If you do modify this file, you should make it read-only 
(or otherwise protect it) so that CVS will not overwrite it.

Order is important: place local paths ahead of system paths.
'''
import sys

customCPPPATH = []
customCCFLAGS = []
customCXXFLAGS = []
customLIBS = []
customLIBPATH = []
customSHLINKFLAGS = []

if sys.platform[:5] == 'linux':
    platform = 'linux'
elif sys.platform == 'cygwin':
    platform = 'cygwin'
    customCPPPATH.append('c:/apcc/tools/Python23/include')
    customLIBPATH.append('cygwin_import_libs')
elif sys.platform[:3] == 'win':
    # For the basic build you need MinGW, MSys, and libsndfile.
    # Add them here:
    customLIBPATH.append('c:/apcc/tools/mingw/lib')
    customCPPPATH.append('c:/apcc/tools/msys/1.0/local/include')
    customLIBPATH.append('c:/apcc/tools/msys/1.0/local/lib')
    # If libsndfile is not in a standard location add it here:
    customCPPPATH.append('C:/apcc/tools/libsndfile-1.0.10/src')
    customLIBPATH.append('C:/apcc/tools/libsndfile-1.0.10')
    platform = 'mingw'
else:
    platform = 'unsupported platform'


